# dmxdetach.c File Reference

`#include "dmxinputinit.h"`
`#include "dmxextension.h"`

## Functions

void | dmxInputDetach (DMXScreenInfo *dmxScreen, Bool reserveId)

## Detailed Description

Provide support and helper functions for input detach and attach.

## Function Documentation

void dmxInputDetach | ( | DMXScreenInfo * | dmxScreen,
|  | Bool | reserveId |
| ) |  |  |

Search for input associated with dmxScreen, and detach.

References _DMXInputInfo::detached, dmxInputs, dmxLogInput(), dmxNumInputs, _DMXScreenInfo::index, and _DMXInputInfo::scrnIdx.

Referenced by dmxInputDetachAll(), and dmxInputDetachId().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>